Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
drop_empty_cols_action Class Reference

Physically removes empty columns in presolve, and reinserts empty columns in postsolve. More...

`#include <CoinPresolveEmpty.hpp>`

Inheritance diagram for drop_empty_cols_action:
[legend]
Collaboration diagram for drop_empty_cols_action:
[legend]

## Classes
struct | action

## Public Member Functions
const char * | name () const
| A name for debug printing. More...
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action. More...
virtual | ~drop_empty_cols_action ()
Public Member Functions inherited from CoinPresolveAction
| CoinPresolveAction (const CoinPresolveAction *next)
| Construct a postsolve object and add it to the transformation list. More...
void | setNext (const CoinPresolveAction *nextAction)
| modify next (when building rather than passing) More...
virtual | ~CoinPresolveAction ()
| Virtual destructor. More...

## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *, const int *ecols, int necols, const CoinPresolveAction *)
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
Static Public Member Functions inherited from CoinPresolveAction
static void | throwCoinError (const char *error, const char *ps_routine)
| Stub routine to throw exceptions. More...

## Private Member Functions
| drop_empty_cols_action (int nactions, const action *const actions, const CoinPresolveAction *next)

## Private Attributes
const int | nactions_
const action *const | actions_

## Additional Inherited Members
Public Attributes inherited from CoinPresolveAction
const CoinPresolveAction * | next
| The next presolve transformation. More...

## Detailed Description

Physically removes empty columns in presolve, and reinserts empty columns in postsolve.

Physical removal of rows and columns should be the last activities performed during presolve. Do them exactly once. The row-major matrix is not maintained by this transform.

To physically drop the columns, CoinPrePostsolveMatrix::mcstrt_ and CoinPrePostsolveMatrix::hincol_ are compressed, along with column bounds, objective, and (if present) the column portions of the solution. This renumbers the columns. drop_empty_cols_action::presolve will reconstruct CoinPresolveMatrix::clink_.

Todo:
  Confirm correct behaviour with solution in presolve.

Definition at line 34 of file CoinPresolveEmpty.hpp.

## Constructor & Destructor Documentation

drop_empty_cols_action::drop_empty_cols_action | ( | int | nactions,
|  | const action *const | actions,
|  | const CoinPresolveAction * | next
| ) |  |
| inline private

Definition at line 47 of file CoinPresolveEmpty.hpp.

virtual drop_empty_cols_action::~drop_empty_cols_action | ( |  | ) |
| inline virtual

Definition at line 69 of file CoinPresolveEmpty.hpp.

## Member Function Documentation

const char* drop_empty_cols_action::name | ( |  | ) | const
| inline virtual

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 57 of file CoinPresolveEmpty.hpp.

static const CoinPresolveAction* drop_empty_cols_action::presolve | ( | CoinPresolveMatrix * | ,
|  | const int * | ecols,
|  | int | necols,
|  | const CoinPresolveAction * |
| ) |  |
| static

static const CoinPresolveAction* drop_empty_cols_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next
| ) |  |
| static

void drop_empty_cols_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const
| virtual

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int drop_empty_cols_action::nactions_
| private

Definition at line 36 of file CoinPresolveEmpty.hpp.

const action* const drop_empty_cols_action::actions_
| private

Definition at line 45 of file CoinPresolveEmpty.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinPresolveEmpty.hpp